Bug 229445 - sysutils/zrepl: Wrong installed file: etc/newsyslog.conf.d/zrepl.conf.sample
Summary: sysutils/zrepl: Wrong installed file: etc/newsyslog.conf.d/zrepl.conf.sample
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL: https://svnweb.freebsd.org/base?view=...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-01 06:50 UTC by Yuri Victorovich
Modified: 2020-02-01 05:04 UTC (History)
1 user (show)

See Also:
woodsb02: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-07-01 06:50:23 UTC
This line:
> @sample etc/newsyslog.conf.d/zrepl.conf.sample
is certainly wrong, because all files in etc/newsyslog.conf.d/ are executed. 

Sample should be under %%ETCDIR%%, something like
> @sample %%ETCDIR%%/newsyslog.conf.sample etc/newsyslog.conf.d/%%PORTNAME%%.conf

> @sample etc/syslog.d/zrepl.conf.sample
likely suffers from the same problem.
Comment 1 Ben Woods freebsd_committer 2019-06-04 14:25:15 UTC
I have modified the FreeBSD base default newsyslog.conf file to only include files which end in a .conf. This will take effect from FreeBSD 13.
https://svnweb.freebsd.org/base?view=revision&revision=340318
Comment 2 commit-hook freebsd_committer 2020-02-01 04:59:41 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Feb  1 04:58:39 UTC 2020
New revision: 524757
URL: https://svnweb.freebsd.org/changeset/ports/524757

Log:
  sysutils/zrepl: Update to 0.2.1

  - Update to 0.2.1 [1]
  - Unbreak build on aarch64, by updating to newer golang:sys [2]
  - Move sample file for syslog.d and newsyslog.conf.d to EXAMPLESDIR [3]
  - Migrate to USES=go:modules to simplify building go dependency list
  - Add new EXAMPLES option to allow installing these to be optional

  Changes this release:
    https://github.com/zrepl/zrepl/blob/v0.2.1/docs/changelog.rst

  PR:		243354 [1], 242456 [2], 229445 [3]
  Submitted by:	dmgk [2]
  Reported by:	asomers [1], yuri [3]

Changes:
  head/sysutils/zrepl/Makefile
  head/sysutils/zrepl/distinfo
  head/sysutils/zrepl/files/newsyslog-zrepl.conf
  head/sysutils/zrepl/files/newsyslog.conf
  head/sysutils/zrepl/files/pkg-message.in
  head/sysutils/zrepl/files/syslog-zrepl.conf.sample
  head/sysutils/zrepl/files/syslog.conf
  head/sysutils/zrepl/files/zrepl.yml
  head/sysutils/zrepl/files/zrepl.yml.sample
  head/sysutils/zrepl/pkg-plist
Comment 3 Ben Woods freebsd_committer 2020-02-01 05:04:15 UTC
Committed - thanks!